com.genesyslab.wfm7.API.service.schedule750

## Class SchScenarioSiteStatus

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchScenarioSiteStatus

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioSiteStatus
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Site Status
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `wmBidEndDateTime` Bidding window end date/time.
    `private double` | `wmBidStartDateTime` Bidding window start date/time.
    `private double` | `wmPublishDateTime` Time (GMT) when the scenario was published to Master.
    `private int` | `wmRankingSystem` Ranking system used in scenario.
    `private int` | `wmSiteId` Site ID
    `private int` | `wmStatus` Current scenario status `ESchScenarioStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioSiteStatus()`
    `SchScenarioSiteStatus(int wmSiteId, int wmStatus, double wmPublishDateTime, double wmBidStartDateTime, double wmBidEndDateTime, int wmRankingSystem)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getWmBidEndDateTime()` Gets the wmBidEndDateTime value for this SchScenarioSiteStatus.
    `double` | `getWmBidStartDateTime()` Gets the wmBidStartDateTime value for this SchScenarioSiteStatus.
    `double` | `getWmPublishDateTime()` Gets the wmPublishDateTime value for this SchScenarioSiteStatus.
    `int` | `getWmRankingSystem()` Gets the wmRankingSystem value for this SchScenarioSiteStatus.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchScenarioSiteStatus.
    `int` | `getWmStatus()` Gets the wmStatus value for this SchScenarioSiteStatus.
    `int` | `hashCode()`
    `void` | `setWmBidEndDateTime(double wmBidEndDateTime)` Sets the wmBidEndDateTime value for this SchScenarioSiteStatus.
    `void` | `setWmBidStartDateTime(double wmBidStartDateTime)` Sets the wmBidStartDateTime value for this SchScenarioSiteStatus.
    `void` | `setWmPublishDateTime(double wmPublishDateTime)` Sets the wmPublishDateTime value for this SchScenarioSiteStatus.
    `void` | `setWmRankingSystem(int wmRankingSystem)` Sets the wmRankingSystem value for this SchScenarioSiteStatus.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchScenarioSiteStatus.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this SchScenarioSiteStatus.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### wmStatus

          private int wmStatus

      Current scenario status `ESchScenarioStatus`

    - #### wmPublishDateTime

          private double wmPublishDateTime

      Time (GMT) when the scenario was published to Master. Can be NULL. `OleDateTime`

    - #### wmBidStartDateTime

          private double wmBidStartDateTime

      Bidding window start date/time. Can be NULL. `OleDateTime`

    - #### wmBidEndDateTime

          private double wmBidEndDateTime

      Bidding window end date/time. Can be NULL. `OleDateTime`

    - #### wmRankingSystem

          private int wmRankingSystem

      Ranking system used in scenario. `ESchRankingSystem`

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchScenarioSiteStatus

          public SchScenarioSiteStatus()

    - #### SchScenarioSiteStatus

          public SchScenarioSiteStatus(int wmSiteId,
                               int wmStatus,
                               double wmPublishDateTime,
                               double wmBidStartDateTime,
                               double wmBidEndDateTime,
                               int wmRankingSystem)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchScenarioSiteStatus.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchScenarioSiteStatus.
      Parameters:
        `wmSiteId` -

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this SchScenarioSiteStatus.
      Returns:
        wmStatus

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this SchScenarioSiteStatus.
      Parameters:
        `wmStatus` -

    - #### getWmPublishDateTime

          public double getWmPublishDateTime()

      Gets the wmPublishDateTime value for this SchScenarioSiteStatus.
      Returns:
        wmPublishDateTime

    - #### setWmPublishDateTime

          public void setWmPublishDateTime(double wmPublishDateTime)

      Sets the wmPublishDateTime value for this SchScenarioSiteStatus.
      Parameters:
        `wmPublishDateTime` -

    - #### getWmBidStartDateTime

          public double getWmBidStartDateTime()

      Gets the wmBidStartDateTime value for this SchScenarioSiteStatus.
      Returns:
        wmBidStartDateTime

    - #### setWmBidStartDateTime

          public void setWmBidStartDateTime(double wmBidStartDateTime)

      Sets the wmBidStartDateTime value for this SchScenarioSiteStatus.
      Parameters:
        `wmBidStartDateTime` -

    - #### getWmBidEndDateTime

          public double getWmBidEndDateTime()

      Gets the wmBidEndDateTime value for this SchScenarioSiteStatus.
      Returns:
        wmBidEndDateTime

    - #### setWmBidEndDateTime

          public void setWmBidEndDateTime(double wmBidEndDateTime)

      Sets the wmBidEndDateTime value for this SchScenarioSiteStatus.
      Parameters:
        `wmBidEndDateTime` -

    - #### getWmRankingSystem

          public int getWmRankingSystem()

      Gets the wmRankingSystem value for this SchScenarioSiteStatus.
      Returns:
        wmRankingSystem

    - #### setWmRankingSystem

          public void setWmRankingSystem(int wmRankingSystem)

      Sets the wmRankingSystem value for this SchScenarioSiteStatus.
      Parameters:
        `wmRankingSystem` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.